commit f5acc66db7d1a0bfad6a40eefc0240b80f52df94
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_find_pids: ignore pids that are not in our pid namespace
    
    X-Gentoo-Bug: 634634
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=634634

commit fdce4769f2e0f4175163ffa181c7b3b2192f7b22
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: multiple fixes
    
    - Harden against dying by handling all signals that would terminate the
    program and adding --reexec support
    - factor the supervisor into its own function
    - fix test for whether we are already running

commit 35b1996704f6635bb29ea3604410e133209e6432
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: elevate some log messages to warnings
    
    Prior to this change, we were logging unexpected terminations of daemons
    we were supervising at the info level. This change moves the logs to
    warnings.

commit 3c8e7ed255edb8df0d548d6ce514544d5422cbf0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.34

commit acaed1f910a2a00fdd5b6aeab752c552075a7292
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 91109e31d81ecd48f5690ad6f63103fca545dec7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update news

commit 2b6eeea01d1c64d58929788f4bfa0758393885bf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: remove service(8) man page

commit a15de23e5713d840d871c526b46050983dc6ea1e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit efa9ba485d9328f780f3e60dc18339c75974c6c6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs.in: fix reference to RC_LIBEXECDIR
    
    The sysfs init script referred to @LIBEXECDIR@ before this change, but
    it is better to refer to RC_LIBEXECDIR so that we get rid of a sed
    substitution.

commit d4ddd72701ff5533a1ba07b1da60806859c63d88
Author: Chris Cromer <chris@cromer.cl>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add option to make agetty startup quiet
    
    This fixes #150

commit 1e9af2cd421423404ffe1491bd35af76c2885f1f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix compiler warning

commit 3c05db74f6e733890e9035c183a774db3d512512
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    remove service binary
    
    The service binary was just a synonym for rc-service, so use rc-service
    instead of service. If you want a "service" binary, it should be
    something that can determine which service manager you are running and
    run the appropriate service manager commands.

commit edc54b03770d5f58d1a4969d06c28660003dfb04
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.33

commit 8e53a3fa8a33fb714064ddbe38bff2213fcf6837
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 7f3b41311119e3a96a15b0fb473b44f422e903e9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    use printf consistently in cgroups handling
    
    This makes the cgroups handling consistent between cgroups v1 and v2.
    Also, it fixes #167.

commit 1ccba056584ee1a8e09fb1d5eebd988b47912c06
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/rc-functions.sh: add need_if_exists convenience function

commit c46adf14343df3a74aef7e4ae5be175ae5fa7a01
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: Clarify the explanation of the need dependency

commit 1cac8b080c16f9aab19c7a3ae1ca155c20dfa14d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    ignore sigchld when shutting down the supervised process
    
    We need to do this to skip the zombie state for the child process since
    we are not easily able to wait() for it.

commit b58194ef63ec8c0a7e0ea3c291da9c19aa83cb1a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit b28c0d6f66e42b1e6d2a39c286a18c8d92881790
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit 3cf19b0f30a90157d23d09ded304439f1eb42d4a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: code cleanup
    
    Clean up the process for killing an active supervisor when stopping.

commit 0eb47b9af340dd07209a3920944ed085fe7bd359
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    initialize the stop schedule

commit 4ab60ff10935122277bbaed437f82a765279cd19
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-schedules.c: pass the correct pid to rc_find_pids
    
    This is for #163.

commit db4a578273dbfa15b8b96686391bcc9ecc04b646
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    selinux: fix const qualifier warning
    
    rc-selinux.c: In function ‘selinux_setup’:
    rc-selinux.c:361:9: warning: assignment discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
      curr_t = context_type_get(curr_con);
             ^

commit b1c3422f453921e838d419640fe39144dbf8d13d
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    selinux: use openrc contexts path to get contexts
    
    The minimum requirement for libselinux is now >=2.6
    The refpolicy and the gentoo policy contain the
    contexts since version 2.20170204-r4

commit 3fafd7a76e6adf15ec72a7ba5f44583eff8fab7a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sysfs: fix cgroup hybrid mode
    
    In hybrid mode, we should not try to mount cgroup2 if it is not
    available in the kernel.
    
    This fixes #164.

commit cd5722aca50f0eaddde7ce04ee00da53c313ba7d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroup2_find_path: use legacy mode if cgroup2 is not in the kernel
    
    This is related to #164.

commit dcb4a4d2613a1fdf85651b32e5b7a87528f487bc
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.32

commit e312e569970c74cf52e255da67034391b68dafac
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 2f60a959b442866b0e879d83f2732c4fa3ed3f7d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update news file

commit 25b45a5a239318fb57c405c3fe64e53b0738ad68
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroup_cleanup: try to remove the cgroup version 2 cgroup
    
    If we were able to kill all the processes in the cgroup, it should be
    removed.

commit 4651b8c7e9e2ef9c1ea1fb8d174d1ca4693627af
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-cgroup.sh: cgroup_cleanup fix error handling
    
    cgroup_cleanup should warn if it is unable to clean up all processes in
    the control group, but it will always return success.

commit 50608b54ed98acb54fec5fe3323909ea684d3af9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-cgroup.sh: fix signal names
    
    The "SIG" prefix on signal names passed to kill -s isn't portable.

commit b0a077a35f85e266fdb82a245dcbda18664a8567
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add quiet switch to do_stop in src-schedules.c
    
    This allows supervise-daemon to run this code without attempting to
    print some status messages used by start-stop-daemon.

commit 6a5ca2ab368d0a85f51bb559672dba2e3ffcc6be
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    make the procedure for killing child processes of services configurable

commit 2b0345165e5af57ca61a4000c3671bbe6d677cf9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make cgroup_cleanup send only one sigterm and sigkill
    
    Instead of looping and sending multiple signals to child processes in
    cgroup_cleanup, we send sigterm followed by sleeping one second then
    sigkill.
    
    This brings us more in line with systemd's "control group" killmode
    setting.
    
    Also, this commit includes several shellcheck cleanups.

commit 8885580986ab8adc951fe32b9323c8b16130fb4f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-cgroup.sh: move cgroup_cleanup to the end of the file

commit 6d7713a758b7e78f05e6a3cc101f862d28d778ab
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    guide.md: clarify cgroups documentation
    
    Update the documentation to reflect cgroups version 2 support.
    Also, add a section on dealing with orphaned service processes.
    
    This fixes #94.

commit 457f928e793cb1f6ef254935ad07f58b8762c72f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add support for control groups version 2
    
    This is for #94.

commit a71a461e452a98554346c47411e9c9012023c201
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.31

commit a09b8af3f98c0700a9b838b7f3683ee58eecc912
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 382efdbfcb99703d03211efacd800c9575e64230
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add quiet parameter to run_stop_schedule

commit 17b5cc78d35dc5fe4904e5951715c3e0d07d6343
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add retry option to supervise-daemon
    
    The --retry option for supervise-daemon defines how the supervisor will
    attempt to stop the child process it is monitoring. It is defined when
    the supervisor is started since stopping the supervisor just sends a
    signal to the active supervisor.
    
    This fixes #160.

commit 36a0ab9054512ade413226fb8e8b28060045e9a4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    make run_stop_schedule accept a pid instead of a pid file

commit 27c2bd997d5173aa30844a16bc22dc8caab09f8c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.30

commit d7938f54f29193251e083ad35a7d464949829096
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: move --retry processing code to a shared module
    
    This was part of start-stop-daemon; however, it needs to be shared in
    order to be used by supervise-daemon.

commit cfbe9c2ede24dac530ef58e5c35bd57f22a788a3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    move get_pid function to a shared file

commit df28002b728b033c00c2da64dedf2bcd4ab5e11b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 66ed8082d0c865a0b4f4cc436cf9e13351e3d6fe
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/openrc-run: source service script before ulimit is processed
    
    This is needed to allow the service script author to set a default for
    rc_ulimit inside the service script.

commit c2d256bafb9d1dfafbfd0846c035c5d26f7449c8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: document fstabinfo and mountinfo
    
    X-Gentoo-Bug: 592374
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=592374

commit f48d9c33a5c708c871d6657a39485d1c0c735548
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: document _pre and _post functions
    
    Fixes https://github.com/openrc/openrc/issues/155.

commit 6d4e8433974fd8567885635ae0454031290f96b1
Author: Jason Graham <jgraha8@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix ENT macro usage
    
    X-Gentoo-Bug: 624796
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=624796

commit 0513cd3964a9564e0ba39b50aa8ebd3d7e9a3920
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.29

commit 72bb2e57de935ab46ad000f97a5720265bed9342
Author: John R. Graham <john_r_graham@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Typo fix
    
    X-Gentoo-Bug: 624908
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=624908

commit 84c5da30695db89d686d3c28c7cacdf172cbf429
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit b35099cb707e333b6b8d30d956ffa93bcd2da0ab
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add comment about overriding the default efivars mount in fstab to news

commit 3fd3bfc76dccc3752f4af949ad4076dab26357fb
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add link to efivars issue to news file

commit 492a6303cb8314263bfd3631e3b0de5a9df178da
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit e7807b3136d8993805082320784460f5059e6275
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix sysvinit compatibility for shutdown wrapper

commit 03a461ac0ee34b7900868cdea624c6fd868b1656
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix sysvinit compatibility for reboot wrapper

commit 7e0f76e0adc545c74a8332a6ef0811d2aa62cb81
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix sysvinit compatibility for poweroff wrapper

commit 9812ce5b8dc22fe36cc7bf75cf6e62db204ece3d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix halt wrapper so it is sysvinit compatible
    
    This makes the halt wrapper sysvinit compatible. It ignores several
    command line switches which are not currently implemented; however,
    those can be implemented if we need to do so.
    
    This fixes https://github.com/openrc/openrc/issues/146.

commit 12f75e4167f84a9a85f69924ebdb28ad36c085cb
Author: Adam Borowski <kilobyte@angband.pl>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: fix an unclosed .Bl/.El warning
    
    This fixes #151.

commit 260368e0103e95625c29760f2c2ec89143e5a233
Author: Adam Borowski <kilobyte@angband.pl>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: fix missing .Pp warnings
    
    This fixes #151.

commit f87a9eec3d23ea01578500972f1df993d5d24fba
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: mount efivars read only
    
    This fixes #134.

commit 1e837d596e483ceb5cec177a6c7faff24a42384b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix argument parsing for the sysvinit shutdown wrapper
    
    This fixes #140.

commit dcc686e42b406d63d52ef75de9a326f67d0a06c9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts/shutdown: fix arguments to be sysvinit shutdown compatible
    
    This fixes #140.

commit 2f81c100afdf45ebf787dfc5d3261aa6055640e4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix link to shutdown for MKSYSVINIT=yes

commit a511a48d77b1dcb8a3fb0dd1abddb750a152869b
Author: Nuno Silva <nuno.m.ribeiro.silva@tecnico.ulisboa.pt>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/hostname: fix default parameter syntax
    
    The syntax for expanding a variable with a default value is
            ${parameter:-word}
    not
            ${parameter-word}
    although the latter still works for a reason I could not explain.
    
    This fixes #143.

commit 1e5322e5c55ec744a2cdcc3342ef6547eab7c46f
Author: Nuno Silva <nuno.m.ribeiro.silva@tecnico.ulisboa.pt>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/hostname: fix indentation
    
    This is for #143.

commit 199a210d2fbc524c9c400a06f832dabffd7ed1b3
Author: udeved <artoo@manjaro.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts/Makefile: make symlinks absolute instead of relative
    
    This closes #142.

commit 5b7667af32effddf867a5d021c66d43f0645d374
Author: udeved <artoo@manjaro.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts/Makefile: respect SBINDIR with MKSYSVINIT
    
    This is for #142.

commit 11243f85b67e5f450ddf50346ffd4a1b2c6faeb5
Author: Jory A. Pratt <anarchy@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    kill_all: include limits.h for PATH_MAX

commit 3c40826d3466cdda1a46abcd5c86b661b8185f46
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.28

commit 560d874d2fee63bf7ca11f17cf9933021b639a1d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix compile issue for musl

commit e84366fd232a41c3ba79ed351e93c74cef8d7c8d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit caacedc0a82285fb2d25c6d3473f154044c7ad66
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: update openrc-shutdown man page
    
    Add the new wtmp options and fix some cross references.

commit 84d140a1f6abf95a4170d13527152d3ab14e6613
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts/shutdown: pass --single to openrc-shutdown
    
    Sysvinit shutdown has a default of single user mode, but openrc-shutdown
    makes you choose a default action. Because of this, the shutdown wrapper
    needs to pass --single to openrc-shutdown.

commit ee886c44824b1dd892eaff2c6da666286e61bc73
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: add --single option and clean up option processing

commit 1801561c2d36c330df7fd02c7508f503a61ff5ba
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/bootmisc: use openrc-shutdown instead of halt to write halt record
    
    This fixes #139 and fixes #128.
    and fixes #124.

commit 7689106aa10f7852b707b4c21ec080ccb2767280
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add support for writing reboot and shutdown records to wtmp

commit 1564e155b726308200ecd5df315c002bd8b16952
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: add optional sysvinit compatibility

commit 44bac3c3798f7eb9186c3ea8774552aa191bfae7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Change killprocs to use kill_all instead of killall5
    
    X-Gentoo-Bug:376977
    X-Gentoo-Bug-URL:https://bugs.gentoo.org/show_bug.cgi?id=376977

commit 0ddee9b7d2b8dea810e252ca6a95c457876df120
Author: Sergei Trofimovich <slyfox@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: fix buffer overflow in init.ctl
    
    How to reproduce 1-byte overflow:
    
    ```
    $ FEATURES=-test CFLAGS="-fsanitize=address -O0 -ggdb3" emerge -1 openrc
    
    =================================================================
    ==1==ERROR: AddressSanitizer: stack-buffer-overflow on address 0x7fff0efd8710
        at pc 0x000000402076 bp 0x7fff0efd7d50 sp 0x7fff0efd7d40
    WRITE of size 1 at 0x7fff0efd8710 thread T0
        #0 0x402075  (/sbin/openrc-init+0x402075)
        #1 0x3cf6e2070f in __libc_start_main (/lib64/libc.so.6+0x3cf6e2070f)
        #2 0x4013b8  (/sbin/openrc-init+0x4013b8)
    
    Address 0x7fff0efd8710 is located in stack of thread T0 at offset 2432 in frame
        #0 0x401cfb  (/sbin/openrc-init+0x401cfb)
    
      This frame has 3 object(s):
        [32, 160) 'signals'
        [192, 344) 'sa'
        [384, 2432) 'buf' <== Memory access at offset 2432 overflows this variable
    HINT: this may be a false positive if your program uses some custom stack unwind mechanism or swapcontext
          (longjmp and C++ exceptions *are* supported)
    SUMMARY: AddressSanitizer: stack-buffer-overflow ??:0 ??
    ```
    
    The problem here is in the code handling reads from 'init.ctl':
    
    ```
    int main(int argc, char **argv) {
    ...
        char buf[2048];
        for (;;) {
            /* This will block until a command is sent down the pipe... */
            fifo = fopen(RC_INIT_FIFO, "r");
            count = fread(buf, 1, 2048, fifo);
            buf[count] = 0;
            ...
        }
    ```
    
    `buf[count] = 0;` writes outside the buffer when `fread()` returns non-truncated read.
    
    This fixes #138.

commit 688566c535111a141f77caf88db12a4338544f7b
Author: Sergei Trofimovich <slyfox@inbox.ru>
Commit: Doug Freed <dwfreed@mtu.edu>

    mk/cc.mk: make implicit function declarations fatal (#136)
    
    Avoids issues with missing prototypes causing truncation of pointers.
    
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

commit 7185e242ffaa8cd1b672fe4726502a196fd779c2
Author: Sergei Trofimovich <slyfox@inbox.ru>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-logger.c: fix crash on fclose(NULL) (#137)
    
    Only close the log if we successfully opened it.
    
    Reported-by: Brian Evans <grknight@gentoo.org>
    Tested-by: Brian Evans <grknight@gentoo.org>
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

commit ec27299f4b88daa80261298fafea76ae634744d9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix
    
    X-Gentoo-Bug: 618888
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=618888

commit 1ece16bfcd0ab71d2f9fe17a75ee6184e0fa4828
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: add dry-run option

commit 0cfd0dd9ef580ed9dc563ccc164d70efe8f299db
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: move to single user mode by default
    
    To be more compatible with sysvinit, move to single user mode if no
    options are specified on the command line.

commit a77ee2e94191ba1a286b8a6835f76556481566ba
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: add ability to switch to single user mode

commit 49b8a573a195f4b2cee992cd10678694da0a6f4f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add kill_all helper
    
    This is similar to the sysvinit killall5 utility.  It should only be used
    in service scripts, so it will not be installed in the path.
    
    This closes #129.

commit a2055af90054f5125cc07d4851b1dc9d16815e7c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_status: calculate time differences in time_t and display seconds in uptime

commit cbf96967f1b6dc72ae16203dfbbb844bd08e8b6b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: save start time and respawn count before dropping privs

commit f1013037b47cdd6344f1b3ed92b7f84d7fcca01f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.27

commit e4bfb4530a86a4ccdff312c857df37fa0da36fd6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 78e0042eccaf5a5554b195ad391b3ab0b8974cf6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/rc-status: document changes for supervised daemons
    
    rc-status now shows the amount of time a supervised daemon has been
    active as well as the number of times it has been respawned during the
    current respawn period.

commit 82e12e309247bc84abf29aca04b3a2dd845fa11b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: show uptimes and respawn counts for supervised daemons

commit 1ebef0d7a38ec0a9635418b75c3aabb564c1577e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix to_time_t to honor dst

commit 6b4050ab9cf9d678a1d6b7af7af7494f8533dbca
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix from_time_t function

commit cf5e9aa2bbcdf1783fadeab26586c1134929d928
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Move time_t conversions to rc-misc.c so they can be shared

commit a3250e77d412f2290e381b9e7569930d95e4fc5b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: save start time and respawn count
    
    This will allow rc-status to display an uptime and restart count for
    supervised processes.

commit df027ca4722c8755b23a65db75728b835ccca807
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix our status when we give up on the child process

commit 4c89e3f5fa1c65ccd0c843f98e4013c2085f243f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:create multiple options from --respawn-limit
    
    This creates --respawn-delay, --respawn-max and --respawn-period. It was
    suggested that it would be easier to follow if the options were
    separated.
    
    This is for #126.

commit 3673040722b75c0a4d06fbeb272f917c7d1ea7c4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: add a --respawn-limit option
    
    Allow limiting the number of times supervise-daemon will attempt to respawn a
    daemon once it has died to prevent infinite respawning. Also, set a
    reasonable default limit (10 times in a 5 second period).
    
    This is for issue #126.

commit 96c8ba2fb5f91a711ef5bfcfd8affe0b74ad18fe
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: mark all open file descriptors FD_CLOEXEC

commit 47cf1d0c707dc88d216bebc15be3f39d5eb47fa9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:remove the controlling tty in the supervisor

commit 06a6a27e441372164872c7712b80728527a6ec05
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:  fix access to tty_fd and devnull_fd
    
    Both the child and supervisor need access to these file descriptors.

commit 5de3798afc55ce147e65926f863ec9c9cef60e79
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: mark the service started when the supervisor is active

commit 6ac094a59cf7b51d8527af15b07feca707a635c8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.26

commit 84c81ca02d7077a619dc704ff654385846fcd2b4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 0e3f8720984d7d5752a78a4135cd268e4f83b3d7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: send term/kill signals as final step of shutdown

commit 5fd3747b190887d094225547f23007d25e2d9592
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    reword the bugs section of the openrc-init man page

commit 4694900190a9078397bb9083328b68b489af92f4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: fix signal handling
    
    The only signals we handle are SIGINT and SIGCHLD, so block all others
    and unblock them in the child process before we start a rurnlevel.

commit 05738bfce120114037d4f02c67ec740813f94b89
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: add re-exec capability
    
    This will allow the re-execution of the init process after upgrading
    OpenRC.

commit 6f88ee4ec6f59e545346a7422facc3e5b6adac04
Author: i.Dark_Templar <darktemplar@dark-templar-archives.net>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: do not remove ld-elf32.so.hints
    
    File /var/run/ld-elf32.so.hints is used on FreeBSD 64bit multilib
    This fixes #125.

commit cc51bdca3bac963878141da047e92f125772e14f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add attribution to openrc-init.c and openrc-shutdown.c

commit 13ca79856e5836117e469c3edbcfd4bf47b6bab0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add init process
    
    openrc-init.c and openrc-shutdown.c are based on code which was written by
    James Hammons <jlhamm@acm.org>, so I would like to publically
    thank him for his work.

commit 79a9edc73068244ad843f2edbe4206ce696c91c8
Author: i.Dark_Templar <darktemplar@dark-templar-archives.net>
Commit: i.Dark_Templar <darktemplar@dark-templar-archives.net>

    Fix make install on FreeBSD: don't try to install /etc/init.d/modules twice

commit 9eb669591e16c5ee0ca07babe058d0b7b2396077
Author: Austin English <austinenglish@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: warn if calling --start with --retry or --stop with --wait
    
    This fixes #122

commit 55a87a30ec845eb725e8a923c8f8eb7aa75baa72
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/agetty.in: add -prefix keyword

commit a912029462ae988ab4e2a96a0958e54a3c2e822f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/mount-ro: change dependency on killprocs and savecache to after
    
    killprocs always succeeds and savecache is not required by mount-ro, so
    we can just start after both of these have run.

commit 1e9078279709df2a3617bf1460890ceb1ddfcf59
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    agetty-guide: typo fix

commit 51a292e09b9362f13d5747d4eedaa521ddf9ce72
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: add agetty to ignore patterns

commit 50fccf47d4bd2ed6e7ea6ff7f72577c8e7b95d0d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/gendepends.sh.in: fix detection of service scripts
    
    We do not need to care about the path on the shebang line of a service
    script as long as the shebang line ends with "openrc-run".
    This fixes #119 and #120.

commit 9bd63b5d4a16601712a65eb8962214cdd4d26ce5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update dependencies for clock service
    
    The clock services had a very long list of "before" dependencies that
    referred to other services within OpenRC. For ease of maintenance,
    convert these to "after clock" dependencies in the individual services.

commit 48db17a93f5e60c0d241f8fb06bfbdd01206fb9c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update news file

commit c333707cba356f4cacfd58a6fcc78f7c073dddcd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove all occurances of 'before *' from dependencies
    
    Using wildcards in dependencies causes issues when rc_parallel is set to
    yes because it can lead to deadlocks.
    All dependencies need to be explicit rather than implicit.
    
    This is the first stage of moving this direction.

commit 5f5b1f7cbefd0bc14352e86a9c33260266f98d9b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs.in: efivarfs tweaks
    
    Since we check for /sys/firmware/efi/efivars, we do not need to check
    for /sys/firmware/efi
    
    Since Failing to mount efivarfs is not critical, we silence the error
    message from mount.

commit cfdf56475e600f79a433cd721cadf39114c6c58d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.25

commit fde3902d069dfdce9c59555186a5541d6d99c8aa
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit d7bbb0f5830e1ec4df1ec52714d70ac6b0a81878
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add agetty service
    
    The agetty service is an alternate way to manage gettys with agetty
    under Linux which is separate from an external init system.

commit 21ca2b746cce67e2b3578fb7015c9d4c243e3a0c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: drop modules completely from the dependencies
    
    This is for #112.

commit 6a79aef0159d7035778fd852b26ecfac903cd029
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: Do not load efivarfs module
    
    My understanding is that the kernel can autoload this module. If it
    doesn't, the module should be built in or loaded from an initramfs.
    
    This fixes https://github.com/openrc/openrc/pulls/112.

commit 4a269674b765e5267f024fa55c8644480a7304ea
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    make sure netmount and localmount start after root

commit eea4decdd1c84e4b8775a255d8ed85bce5eb40a5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: typo fix

commit d4d0f25a4844ecaed43de913e8b729e7a2e894db
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: updates to make the service more usable
    
    - switch from attempting to ping the default gateway to a host outside
    the local network, defaulting to google.com.
    - along with this, change the name of the variable that requests a ping
    test to include_ping_test so the meaning is more clear.

commit 1cb44092fce298004ab4c4547c6fbcac29c5997f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/rc-functions.sh.in: add get_bootparam_value function

commit 4207e46622f584eb5f0cc10bbfd36f92f001a2e2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    move init.d examples under support and install them

commit f6ea16159ec8583a6f2182578334aa00578cb080
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts: make sure the rc-sstat symlink is always replaced

commit 9047ea4cb0d0e5e27704369380e128d26c3e86b2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    install support files
    
    These files have been in the distribution for some time but haven't been
    installed. They are good examples of how to do things, so we should
    install them.

commit d7f5a696c173e7af67dd4b3f90744e0a056441e1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    support: rename all README files to README.md

commit 6f614cd3f33dbdea3a67ac2fb414b1130674ee04
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Move deptree2dot to the support folder
    
    Since deptree2dot and the perl requirement are completely optional, we
    can move this tool to the support folder. This gives the user the option
    of using it if they have perl installed, and means we do not have an
    optional runtime dependency on perl.
    
    Documentation for this tool has also been added to the support folder.
    
    X-Gentoo-Bug: 600742
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=600742

commit 85c1930acf15b0c9d3c5537fb2b0409c6a11c982
Author: William Pitcock <nenolod@dereferenced.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    test/setup_env: ensure that eval_ecolors is available on the path.
    
    The test environment previously used the system default paths instead of installing the necessary $PATH environment
    variable to make finding eval_ecolors work.
    This closes #117.
    
    X-Gentoo-Bug: 374191.
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=374191.

commit 96bd0c004c9549e5a2ef64277216a15da6f96a8e
Author: Nicolas Porcel <nicolasporcel06@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix typo in guide.md
    
    This fixes #115.

commit b693af90556ac9b055ba5c6e589066c1e08b2146
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "scripts: do not substitute for @SHELL@ in rc-sstat"
    
    This reverts commit e2e652e469efa5f3ebcd69828ff16d8f5ad3f1b8.

commit 6dcb6929869c2f81c1f8d0930191f74fc6dfaa3e
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: allow all standard signals
    
    Also we define the signalpair_item macro.
    This fixes #113.
    
    X-Gentoo-Bug: 604986
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604986

commit e2e652e469efa5f3ebcd69828ff16d8f5ad3f1b8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts: do not substitute for @SHELL@ in rc-sstat

commit b73941f0c3020e3dbd1684d09685e114c678b520
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: make the path to /proc/mounts a constant
    
    This path should not be hard coded in the open call.
    Linux prior to 2.4.19 did not have /proc/self/mounts, so for now I'm
    making this value /proc/mounts everywhere, but that may change to
    /proc/self/mounts on linux; I'm not sure we should care about <2.4.19.
    
    X-Gentoo-Bug: 604646
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604646

commit c304522131a795cf882444b5f94e81db4baf65b3
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Clean up warnings that can use the _unused macro
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 92325b44ba58a7ca04d88ae8ca202b402b032b43
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Indentation fixes
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 074d90f5a4e3b66e532a0becde372acf38346397
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Drop the use of the _BSD_SOURCE macro on Linux
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 7056b56b3ccc9cbde4ef8297b923919c49c7c242
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Drop the use of the _BSD_SOURCE macro on GNU/Hurd
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit d5c3b85e3fbddbba149687244d607fcdae222f95
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    loopback: drop explicit route for BSD too

commit 1ab2249448ba24a591b561f53aa64ff3df1e41f6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.24

commit a15cff21c63f2ad951af1c59a74fc7d37f78e91b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 45aa36cc623eeeb15fb6827b57e0c07a37cdef41
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: detect loops in stacked runlevels and abort
    
    This fixes #109.
    X-Gentoo-Bug: 558700
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=558700

commit d3f833179b39368442221c448f90b87f76d28ee8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/init.sh.Linux.in: remove unused check for Gnu/KFreeBSD
    
    This script only runs on Linux, so the check will always be false.

commit abe552b969b6601f47ba0474f683d8cd80d53c9d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules: get rid of printing each module on Linux
    
    Now that we respect the module blacklists, don't print every module we
    try to load, because it might not end up loaded due to the blacklist,
    and modprobe doesn't consider that a failure.

commit 856eafb006655b7dda630a94cbd16f5db9f781be
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    sh/init.sh.Linux.in: skip /proc test if no md5sum
    
    This will also warn users if md5sum is missing, which serves as a pretty
    good indicator that /usr is not mounted.

commit f27d60add9ee1ef8a90ea0034edf6f4e4e6d0ed8
Author: Robin H. Johnson <robbat2@gentoo.org>
Commit: Robin H. Johnson <robbat2@gentoo.org>

    sh/openrc-run.sh: expose default start/stop/status
    
    Supervisor setups break easily when start/stop/status functions are not
    default.
    
    Applications that write multiple PIDs to a pidfile (eg HAProxy as
    described in bug 601540), can also benefit from being able to call the
    default start/stop/status with modified environment variables.
    
    Expose the default start/stop/status functions as
    default_start/stop/status, and use them for the defaults
    start/stop/status.
    
    Trivial usage example:
    ```
      stop()
      {
        t=$(mktemp)
        for pid in $(cat $pidfile) ; do
          echo $pid >$t
          pidfile=$t default_stop
        done
        rm -f $t
      }
    ```
    
    X-Gentoo-Bug: 601540
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/601540
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8ad460c54ce66aa0900cf872d9ebfacf0c03f9da
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    Fix typos
    
    Fixes #99

commit 72c0824961fc257b634a9439496e04d1b3392ef1
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    localmount: add comment about types variable

commit 5b7e3490ef2ce96c35e6c18b4c64e8c61586bb7a
Author: Alan Somers <asomers@gmail.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    Localmount shouldn't mount remote filesystems
    
    The /etc/init.d/localmount script has a syntax error that causes it to
    attempt to mount remote filesystems, causing the boot to fail. The
    script appends a "no" to each remote filesystem type, but it should only
    be append the "no" to the beginning of the list.  This patch fixes
    localmount on FreeBSD 12.0.  A review of the mount(8) manpage on Ubuntu
    12.04 suggests that this patch is correct for Linux, too.

commit dd61e6bfc3fc1da011b01f4f6cf3e45e26c59dc1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc.conf: fix the commented default setting for rc_logger
    
    X-Gentoo-Bug: 601480
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=601480

commit 204971c6e2ea1e37fa037e09bff02eea3a07f843
Author: Doug Freed <dwfreed@mtu.edu>
Commit: GitHub <noreply@github.com>

    runlevels: remove bad trailing backslash

commit 3552f0ae548d68effd4411ad4080e7b13fe627c5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/start-stop-daemon.8: clarify documentation about --pidfile option
    
    The documentation implied that if you stop a daemon we handle multiple
    pids in a pid file. This is not correct. We only handle the first pid.
    
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=601540

commit 42cb84882918a0c9dd93a89d92b0b4818dfb44b8
Author: AndCycle <andcycle-github@andcycle.idv.tw>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix manual typo
    
    This fixes #105.

commit e0ac661419042cb39c1ccf93df2981504d1e6339
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    split tmpfiles processing into opentmpfiles
    
    The openntmpfiles package is designed so that it can be used on systems
    independently of whether openrc is used.

commit 6414c3bc394f86a5d6a5f02c934469e21bbbc923
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    selinux: fix SIGSEGV with invalid contexts
    
    Fixes: https://github.com/openrc/openrc/issues/104

commit 4f9bd7e4db185ce6debbebb5242344d8ffadc3ae
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/loopback.in: drop the route to the loopback interface on Linux
    
    This is related to #103.

commit bf539f2196290864ce5c5fd0d679b74ee016e2da
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/mount-ro: do not remount /usr read only if it is premounted
    
    X-Gentoo-Bug: 573760
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573760

commit 20b60ea904612669dfb744beffcd8e7e447f69ef
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d/net-online: clarify comment about interfaces setting
    
    This setting refers to all interfaces that support ethernet

commit f53c8baef3a6215077c00901759cbbcbe8f10e9b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/net-online: remove interfaces and timeout from local declarations
    
    X-Gentoo-Bug:  598621
    X-Gentoo-Bug-URL:  https://bugs.gentoo.org/show_bug.cgi?id=598621

commit be06cd250e12e63b8eb704bb2508e06fb9791251
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    src/rc/rc: do not try to start services if fork fails

commit 003657c973ea338a19f2b7294190af9d76cf5cea
Author: Robin H. Johnson <robbat2@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/loopback: drop scope on loopback
    
    Busybox does not support the 'scope' argument on 'ip address add' or 'ip
    route add', this is documented in BUSYBOX.md, but is no longer actually
    needed, as the kernel does get it right without manual specification,
    and the ifconfig variant already relies on the kernel to get it right.
    This is part of #103.
    
    X-Gentoo-Bug: 487208
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=487208

commit 4fd144c0a6526963c70f18cb34a65354c2f0a48c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    src/rc/rc-misc.c: report error if call to flock() fails
    
    X-Gentoo-Bug: 597390
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=597390
